QHttpResponseHeader(3qt)

NAME
QHttpResponseHeader - Response header information for HTTP

SYNOPSIS
#include <qhttp.h>

Inherits QHttpHeader.

  Public Members
QHttpResponseHeader ()
QHttpResponseHeader ( const QHttpResponseHeader & header )
int statusCode () const
QString reasonPhrase () const
virtual int majorVersion () const
virtual int minorVersion () const

DESCRIPTION
The QHttpResponseHeader class contains response header information for HTTP.

This class is used by the QHttp class to report the header information that the client received from the server.

HTTP responses have a status code that indicates the status of the response. This code is a 3-digit integer result code (for details see to RFC 1945). In addition to the status code, you can also specify a human-readable text that describes the reason for the code ("reason phrase"). This class allows you to get the status code and the reason phrase.

See also QHttpRequestHeader, QHttp, and Input/Output and Networking.

MEMBER FUNCTION DOCUMENTATION

QHttpResponseHeader::QHttpResponseHeader ()
Constructs an empty HTTP response header.

QHttpResponseHeader::QHttpResponseHeader ( const QHttpResponseHeader & header )
Constructs a copy of header.

int QHttpResponseHeader::majorVersion () const [virtual]
Returns the major protocol-version of the HTTP response header.

See also minorVersion(), statusCode(), and reasonPhrase().

Reimplemented from QHttpHeader.

int QHttpResponseHeader::minorVersion () const [virtual]
Returns the minor protocol-version of the HTTP response header.

See also majorVersion(), statusCode(), and reasonPhrase().

Reimplemented from QHttpHeader.

QString QHttpResponseHeader::reasonPhrase () const
Returns the reason phrase of the HTTP response header.

See also statusCode(), majorVersion(), and minorVersion().

int QHttpResponseHeader::statusCode () const
Returns the status code of the HTTP response header.

See also reasonPhrase(), majorVersion(), and minorVersion().

SEE ALSO
http://doc.trolltech.com/qhttpresponseheader.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qhttpresponseheader.3qt) and the Qt version (3.2.0b1).